### Method

# RB StringValueMap peek

#### Declaration [src]

    const GValue*
    rb_string_value_map_peek (
      RBStringValueMap* map,
      const char* key
    )

#### Description [src]

Locates the value associated with the key. This returns the GValue stored in the map, so it cannot be modified.

#### Parameters

`key`

  Type: `const char*`

  Key to retrieve.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GValue`

The GValue associated with the key.

The returned data is owned by the instance.